Subject: RE: [AAA-WG]: [issue] Host-IP-Address AVP in CER and CEA is redundant

From: <[email-masked]>
Date: Thu, 28 Mar 2002 17:32:23 +0200

-----Original Message-----
From: ext David Frascone [mailto:[email-masked]]
Sent: 28. March 2002 17:09
To: Ghadiyaram Venkata (EXT-TataConsultancy/Helsinki)
Cc: [email-masked]; [email-masked]
Subject: Re: [AAA-WG]: [issue] Host-IP-Address AVP in CER and CEA is
redundant

On Thursday, 28 Mar 2002, [email-masked] wrote:
> Hi David,
> 
> By "firewall involvemet" do you mean the firewall translates the address. The address/addresses retrieved from the transport layer are the addresses where the host can be reached. If there are addresses using which a host cannot be reached, why does one want to advertise them and why will be the receiver interested in them. 

By firewall involvement, I mean that I have five load balancing Diameter
servers behind a firewall.  But, only one of the servers has an IP address
that is reachable from the net for inbound connections.  The firewall 
blocks the rest.  Since SYN's will be discarded by the firewall, shouldn't
all five servers advertise the only routable address as their Host-IP-Address?

- But in this case is it not this advertised address which could be retreived from the transport connection.

> 
> In case of a multihomed host running SCTP, still all the IPAddresses can be obtained from the SCTP association.

Ok.  What about TCP?  Since TCP is a mandatory MUST, Host-IP-Address seems
to have value.
 - In case of TCP the connection is with only one address. In case this connection fails, other addresses are tried. But it is not necessary that the host is listening on the same port on the other addresses. So in this case the host should advertise multiple DiameterURIs and not just addresses. So sending a list of DiameterURIs in CER/CEA will be useful rather than sending just the IPAddresses.

Since it has *some* value, why remove it.  

In case of TCP

> In any case I do not see any reason for the IPAddress information to be carried in the Diameter payload.

I see reasons (mentioned above), so I am *against* this change.

-- 
David Frascone

                     IBM: I Buy Macinstosh